%define srcname oci
%define oci_version 2.6.4

Name: python-oci-sdk
Version: %{oci_version}
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Oracle Cloud Infrastructure Python SDK
License: Apache2.0
Group: Development/Libraries
#Source: https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

SOURCE0: %{srcname}-%{version}.tar.gz
SOURCE1: six-1.11.0.tar.gz
SOURCE2: requests-2.18.4.tar.gz
SOURCE3: cryptography-2.4.2.tar.gz
#BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools >= 24.3
BuildRequires: python-cffi >= 1.7
BuildRequires: openssl-devel 
BuildRequires: python-urllib3 >= 1.22

#required by SDK  
Requires: python-certifi >= 2017.4.17
Requires: python-configparser = 3.5.0
Requires: python-httpsig_cffi == 15.0.0
Requires: python-dateutil == 2.7.3
Requires: pytz	== 2016.10
Requires: python-jwt == 1.5.3
#Required by python-six = 1.11.0
#Required by python-requests = 2.18.4
Requires: python-ndg_httpsclient
Requires: python2-pyasn1
Requires: python2-urllib3 >= 1.21.1, python2-urllib3 < 1.23
Requires: python-idna >= 2.5, python-idna < 2.7
Requires: python-chardet >= 3.0.2, python-chardet <= 3.1.0
Requires: python-setuptools >= 11.3
Requires: python-packaging
Requires: pyOpenSSL >= 17.5.0
Requires: python-asn1crypto >= 0.21.0
Requires: python2-cffi >= 1.9.1


%description
Python SDK for Oracle Cloud Infrastructure.

%prep
%setup -q -n %{srcname}-%{version}

patchfile=%{_builddir}/%{srcname}-%{version}/src/oci/__init__.py
sed 3i"import os, sys" -i $patchfile
sed 4i"sys.path.insert(0, os.path.join(os.path.dirname(__file__),'packages'))" -i $patchfile

mkdir -p packages
tar -zxvf %SOURCE1 --directory=packages
tar -zxvf %SOURCE2 --directory=packages
tar -zxvf %SOURCE3 --directory=packages

%build
%{__python} setup.py build

mkdir site_packages

cd packages/six*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages

cd ../requests*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages

cd ../cryptography*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages


%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python_sitelib}/oci/packages  
mv %{_builddir}/%{srcname}-%{version}/site_packages/usr/*/*/site-packages/* %{buildroot}%{python_sitelib}/oci/packages


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/oci*
%doc README.rst LICENSE.txt

%changelog
* Wed Nov 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.4-1
- Update to version 2.6.4

* Tue Nov 05 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.3-1
- Update to version 2.6.3

* Tue Oct 29 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.2-1
- Update to version 2.6.2

* Tue Oct 15 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.1-1
- Update to version 2.6.1

* Tue Oct 08 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.0-1
- Update to version 2.6.0

* Tue Oct 01 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.2-1
- Update to version 2.5.2

* Tue Sep 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.1-1
- Update to version 2.5.1

* Tue Sep 17 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.0-1
- Update to version 2.5.0

* Tue Sep 10 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.4.0-1
- Update to version 2.4.0

* Tue Sep 03 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.3-1
- Update to version 2.3.3

* Tue Aug 27 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.2-1
- Update to version 2.3.2

* Tue Aug 20 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.1-1
- Update to version 2.3.1

* Tue Aug 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.0-1
- Update to version 2.3.0

* Tue Aug 06 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.21-1
- Update to version 2.2.21

* Tue Jul 30 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.20-1
- Update to version 2.2.20

* Tue Jul 23 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.19-1
- Update to version 2.2.19

* Tue Jul 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.18-1
- Update to version 2.2.18

* Tue Jul 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.17-1
- Update to version 2.2.17

* Tue Jul 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.16-1
- Update to version 2.2.16

* Tue Jun 25 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.15-1
- Update to version 2.2.15

* Tue Jun 18 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.14-1
- Update to version 2.2.14

* Tue Jun 11 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.13-1
- Update to version 2.2.13

* Tue Jun 04 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.12-1
- Update to version 2.2.12

* Tue May 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.11-1
- Update to version 2.2.11

* Tue May 21 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.10-1
- Update to version 2.2.10

* Tue May 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.9-1
- Update to version 2.2.9

* Tue Apr 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.7-1
- Update to version 2.2.7

* Tue Apr 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.6-1
- Update to version 2.2.6

* Tue Apr 02 2019 Alan Steinberg <alan.steinberg@oracle.com> 2.2.5-1
- Update to version 2.2.5
- Modified description and summary to be Oracle Cloud Infrastructure.

* Tue Mar 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.4-1
- Update to version 2.2.4

* Tue Mar 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.3-1
- Update to version 2.2.3

* Tue Mar 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.2-1
- Update to version 2.2.2

* Thu Feb 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.1-1
- Update to version 2.2.1

* Thu Feb 21 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.0-1
- Update to version 2.2.0

* Thu Feb 07 2019 John Mcwalters <john.mcwalters@oracle.com> 2.1.7-1
- Update to version 2.1.7

* Thu Jan 31 2019 John Mcwalters <john.mcwalters@oracle.com> 2.1.6-1.0.1
- Upgrade to cryptography-2.4.2.tar.gz

* Thu Jan 31 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.6-1
- Update to version 2.1.6

* Thu Jan 30 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.5-2
- Upgrade to cryptography-2.4.2.tar.gz

* Thu Jan 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.5-1
- Update to version 2.1.5

* Mon Jan 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.4-1
- Update to version 2.1.4

* Fri Dec 21 2018 Qing Lin <qing.lin@oracle.com> 2.1.3-1.0.1
- Upgrade to cryptography-2.1.4

* Thu Dec 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.3-1
- Update to version 2.1.3

* Thu Nov 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.2-1
- Update to version 2.1.2

* Thu Nov 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.1-1
- Update to version 2.1.1

* Thu Nov 01 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.0-1
- Update to version 2.1.0

* Thu Oct 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.5-1
- Update to version 2.0.5

* Thu Sep 27 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.4-1
- Update to version 2.0.4

* Thu Sep 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.3-1
- Update to version 2.0.3

* Thu Aug 23 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.2-1
- Update to version 2.0.2

* Thu Aug 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.1-1
- Update to version 2.0.1

* Thu Jul 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.0-1
- Update to version 2.0.0

* Thu Jul 12 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.5-1
- Update to version 1.4.5

* Fri Jun 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.4-1
- Update to version 1.4.4

* Thu Jun 14 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.3-1
- Update to version 1.4.3

* Mon Jun 04 2018 Qing Lin <qing.lin@oracle.com> 1.4.1-2
- Fixed the dependency change issue.

* Thu May 31 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.1-1
- Update to version 1.4.1

* Thu May 17 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.0-1
- Update to version 1.4.0

* Thu May 03 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.20-1
- Update to version 1.3.20

* Thu Apr 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.19-1
- Update to version 1.3.19

* Wed Apr 18 2018 Qing Lin <qing.lin@oracle.com> -1.3.18-2
- Updated the requirement versions same as the package requirement.

* Fri Apr 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.18-1
- Update to version 1.3.18

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.17-1
- Update to version 1.3.17

* Thu Mar 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.16-1
- Update to version 1.3.16

* Thu Feb 22 2018 Jingdong Lu <jingdong.lu@oracle.com> - 1.3.15-1
- Update to version 1.3.15

* Fri Feb 09 2018 Qing Lin <qing.lin@oracle.com> -1.3.14-1
- Updated to version 1.3.14

* Tue Jan 23 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-3
- Updated the requirement versions based on requests package.

* Mon Jan 22 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-2
- Add changelog and requires for urllib3.

* Fri Jan 19 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-1
- update for  spec file for oci 1.3.12

* Thu Sep 15 2017 Qing Lin <qing.lin@oracle.com>
- update for  spec file for oci 1.3.7

* Wed May 31 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for oci 1.3.2
